[unixODBC-support] odbcinst failing

Davies Matt J A (LCSS) mjdavies at glam.ac.uk
Thu Jul 28 13:25:40 BST 2011


Right, I downloaded the i386 version, then tried to install it like so

wget 
http://ubuntu.mirror.cambrium.nl/ubuntu//pool/main/u/unixodbc/unixodbc-dev_
2.2.11-21_i386.deb
sudo dpkg --force-architecture -i unixodbc-dev_2.2.11-21_i386.deb[sudo]
password for nonrootuser:
dpkg: warning: overriding problem because --force enabled:
 package architecture (i386) does not match system (amd64)
Selecting previously deselected package unixodbc-dev.
(Reading database ... 51588 files and directories currently installed.)
Unpacking unixodbc-dev (from unixodbc-dev_2.2.11-21_i386.deb) ...
dpkg: dependency problems prevent configuration of unixodbc-dev:
 unixodbc-dev depends on unixodbc (= 2.2.11-21); however:
  Package unixodbc is not installed.
 unixodbc-dev depends on odbcinst1debian1 (= 2.2.11-21); however:
  Package odbcinst1debian1 is not installed.
 unixodbc-dev depends on libodbcinstq1c2 (= 2.2.11-21); however:
  Package libodbcinstq1c2 is not installed.
 unixodbc-dev depends on libltdl3-dev; however:
  Package libltdl3-dev is not installed.
dpkg: error processing unixodbc-dev (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 unixodbc-dev


Looks like it does need the exact version

Nick, where on the unixodbc site can I get the unixodbc-dev package?

Thanks again



On 28/07/2011 13:16, "Davies Matt J A (LCSS)" <mjdavies at glam.ac.uk> wrote:

>Ok I spoke to soon, that page is now back :-)
>
>So I just download the adm64 .deb file, and then somehow install that as
>32 bit?
>
>Am I on the right track here?
>
>Does it matter that it's 2.2.11 and my main unixODBC is 2.3.0?
>
>Thanks again
>
>On 28/07/2011 13:11, "Davies Matt J A (LCSS)" <mjdavies at glam.ac.uk> wrote:
>
>>I'm putting together some install instructions for a third party driver
>>on
>>    ubuntu, super fresh install of ubuntu 10
>>    I'm installing unixodbc in 32 bit mode on a 64 bit ubuntu from the
>>source
>>    code with
>>    CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 ./configure
>>    Odbcinst is now erring
>>    odbcinst -j
>>    unixODBC 2.3.0
>>    odbcinst: symbol lookup error: odbcinst: undefined symbol:
>>    odbcinst_system_file_name
>>    I believe I need the unixodbc-dev source code as well, installed as
>>32
>>bit
>>
>>    Can anyone confirm that's what I need to do?
>>    Also, can anyone tell me where I can get the source code from?
>>
>>I searched for the package on ubuntu packages but the page is blank
>>
>>
>>http://packages.ubuntu.com/lucid/unixodbc-dev
>>
>>:-(
>>
>>
>>_______________________________________________
>>unixODBC-support mailing list
>>unixODBC-support at mailman.unixodbc.org
>>http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support
>
>_______________________________________________
>unixODBC-support mailing list
>unixODBC-support at mailman.unixodbc.org
>http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support



More information about the unixODBC-support mailing list